Question

Upgrading "react-native-purchases" from "5.13.1" to "6.7.0", Android

  • 14 November 2023
  • 2 replies
  • 153 views

Badge

Hello,

 

On Android, using react-native, after upgrading the “react-native-purchases” lib from "5.13.1" to "6.7.0", I am having this error when a purchase action of an offering is triggered:

 

“RNPurchases.purchaser got 7 arguments, expected 6”.

 

I tried upgrading react native to latest version, but still got the error.

Any clues on what that could be, or some steps on how to debug this error, please?

 

Thanks a lot!


2 replies

Userlevel 3
Badge +5

Hi! Could you send debug logs that reproduce this? You can enable debug logs by following this guide. After they're enabled you'll see logs like this in the console:

[Purchases] - DEBUG: No cached entitlements, fetching
[Purchases] - DEBUG: GET /v1/subscribers/<APP_USER_ID> 200
[Purchases] - DEBUG: Purchaser info updated, sending to delegate

Please ensure the debug logs include the entire app life-cycle, including the messages printed during initialization of the SDK. The more information you include here, the better we'll be able to help.

Badge

Hey! I think it was caching issue inside the native app. After several cache flushes, it started to work 🤔

Sorry for disturbing

Reply